Bug 10035 - Let pppd work in vps
: Let pppd work in vps
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-ovz-smp)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-25 10:23 by
Modified: 2008-03-15 22:35 (History)


Attachments
Patch for kernel 2.6.16 (680 bytes, patch)
2006-09-25 10:24, Alex Moskalenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-25 10:23:12
В текущей сборке OpenVZ в VPS нельзя запустить pppd из-за требования 
capability net_admin и отсутствия флага NETIF_F_VIRTUAL. Приложенный патч 
добавляет этот флаг к ppp-интерфейсам и добавляет проверку на capability 
CAP_VE_NET_ADMIN. После его применения pppd работает в VE.
------- Comment #1 From 2006-09-25 10:24:44 -------
Created an attachment (id=1638) [details]
Patch for kernel 2.6.16
------- Comment #2 From 2006-09-25 10:27:54 -------
Ссылка на соответствующий баг в Bugzilla OpevNZ

http://bugzilla.openvz.org/show_bug.cgi?id=268
------- Comment #3 From 2006-10-10 00:48:21 -------
Reassigned to maintainer.
------- Comment #4 From 2007-04-05 23:36:08 -------
Fixed in 2.6.18-alt13

PS Fix is not ideal, but it works.